#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from zope.interface import Interface

from onf_website.skin.public.interfaces import IBodyClass
from pyams_utils.adapter import adapter_config, ContextRequestViewAdapter
from pyams_utils.interfaces.tales import ITALESExtension


@adapter_config(name='body_class', context=(Interface, Interface, Interface), provides=ITALESExtension)
class BodyClassTALESExtension(ContextRequestViewAdapter):
    """tales:body_class TALES extension"""

    def render(self):
        request = self.request
        return request.registry.queryMultiAdapter((request.context, request), IBodyClass, default='')
